/************************************************************************************
*
* Copyright (c) 2003 The University of Texas
* All Rights Reserved.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.

* The GNU Public License is available in the file LICENSE, or you
* can write to the Free Software Foundation, Inc., 59 Temple Place -
* Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
* World Wide Web at http://www.fsf.org.
*
* IN NO EVENT SHALL THE UNIVERSITY OF TEXAS BE LIABLE TO ANY PARTY 
* FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES 
* ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF 
* THE UNIVERSITY OF TEXAS HAS BEEN ADVISED OF THE POSSIBILITY OF 
* SUCH DAMAGE.
*
* THE UNIVERSITY OF TEXAS SPECIFICALLY DISCLAIMS ANY WARRANTIES,
* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
* PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
* TEXAS HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
* ENHANCEMENTS, OR MODIFICATIONS.
*
* Programmers:  Mayank Gupta <mayank@mail.utexas.edu ; mayank42@hotmail.com>
* Advisor:      Prof. Brian L. Evans
* Version:      0.1
*
************************************************************************************/

void WritePgmImg(int r,int c,int maxval);
void FilterDetectEdge(int r,int c,int *numpixels);
void CenterOfGravity(int r, int c, int *rcg, int *ccg);
void WriteROTPpmImg(int row, int col, int maxval, int rcg, int ccg);
void ReadPpmImg(int *r, int *c,int *maxval, char*nof);

#define Blkrow 90 /* row size of block */
#define Blkcol 90 /* col size of block */


